allura-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From brond...@apache.org
Subject git commit: Remove SourceForge specific requirements files, simplify to just a single file
Date Fri, 25 Apr 2014 21:32:15 GMT
Repository: allura
Updated Branches:
  refs/heads/master 33a2baefc -> 068f66e0f


Remove SourceForge specific requirements files, simplify to just a single file


Project: http://git-wip-us.apache.org/repos/asf/allura/repo
Commit: http://git-wip-us.apache.org/repos/asf/allura/commit/068f66e0
Tree: http://git-wip-us.apache.org/repos/asf/allura/tree/068f66e0
Diff: http://git-wip-us.apache.org/repos/asf/allura/diff/068f66e0

Branch: refs/heads/master
Commit: 068f66e0fbf6d65852422e26239f90bf5f44221b
Parents: 33a2bae
Author: Dave Brondsema <dbrondsema@slashdotmedia.com>
Authored: Fri Apr 25 19:25:17 2014 +0000
Committer: Dave Brondsema <dbrondsema@slashdotmedia.com>
Committed: Fri Apr 25 19:25:17 2014 +0000

----------------------------------------------------------------------
 requirements-common.txt | 81 --------------------------------------------
 requirements-sf.txt     | 46 -------------------------
 requirements.txt        | 79 ++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 76 insertions(+), 130 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/allura/blob/068f66e0/requirements-common.txt
----------------------------------------------------------------------
diff --git a/requirements-common.txt b/requirements-common.txt
deleted file mode 100644
index b1163cf..0000000
--- a/requirements-common.txt
+++ /dev/null
@@ -1,81 +0,0 @@
-# requirements for all deployment environments
-
-pytz==2012j
-ActivityStream==0.2.0
-BeautifulSoup==3.2.0
-chardet==1.0.1
-colander==0.9.3
-# dep of pypeline
-Creoleparser==0.7.3
-decorator==3.3.2
-# dep of pypeline, sphinx
-docutils==0.9
-EasyWidgets==0.2dev-20130716
-faulthandler==2.1
-feedparser==5.1.3
-FormEncode==1.2.4
-# dep of Creoleparser
-Genshi==0.6
-# dep of oauth2
-httplib2==0.7.4
-iso8601==0.1.4
-Jinja2==2.6
-Markdown==2.2.0
-Ming==0.4.6
-oauth2==1.5.170
-# tg2 dep PasteDeploy must specified before TurboGears2, to avoid a version/allow-hosts problem
-Paste==1.7.5.1
-PasteDeploy==1.5.0
-PasteScript==1.7.4.2
-Pillow==2.0.0
-poster==0.8.1
-Pygments==1.6
-pymongo==2.4.2
-Pypeline==0.1dev
-pysolr==2.1.0-beta
-python-dateutil==1.5
-python-magic==0.4.3
-python-oembed==0.2.1
-requests==2.0.0
-oauthlib==0.4.2
-requests-oauthlib==0.4.0
-
-# for taskd proc name switching
-setproctitle==1.1.7
-# dep of pypeline
-textile==2.1.5
-# dep of colander
-translationstring==0.4
-TimerMiddleware==0.4.4
-TurboGears2==2.1.5
-WebOb==1.0.8
-# part of the stdlib, but with a version number.  see http://guide.python-distribute.org/pip.html#listing-installed-packages
-wsgiref==0.1.2
-
-# tg2 deps (not used directly)
-Babel==0.9.6
-Beaker==1.5.4
-Mako==0.3.2
-MarkupSafe==0.15
-Pylons==1.0
-simplejson==2.2.1
-Tempita==0.5.1
-Routes==1.12.3
-WebFlash==0.1a9
-WebHelpers==1.3
-
-# git deps
-async==0.6.1
-gitdb==0.5.4
-smmap==0.8.1
-
-# testing & development
-datadiff==1.1.5
-ipython==1.2.1
-mock==1.0.1
-nose==1.3.0
-pyflakes==0.5.0
-WebTest==1.4.0
-clonedigger==1.1.0
-testfixtures==3.0.0
-q==2.3

http://git-wip-us.apache.org/repos/asf/allura/blob/068f66e0/requirements-sf.txt
----------------------------------------------------------------------
diff --git a/requirements-sf.txt b/requirements-sf.txt
deleted file mode 100644
index 484aa49..0000000
--- a/requirements-sf.txt
+++ /dev/null
@@ -1,46 +0,0 @@
-# requirements for the SF instance
-
-akismet==0.2.0
-amqplib==0.6.1
-kombu==1.0.4
-coverage==3.5a1-20110413
-ForgeHg==0.1.23
-ForgePastebin==0.3.0
-GoogleCodeWikiImporter==0.5.0
-mechanize==0.2.4
-mercurial==1.4.3
-MySQL-python==1.2.3c1
-newrelic==2.16.0.12
-phpserialize==1.2
-psycopg2==2.2.2
-sf.phpsession==0.1
-SQLAlchemy==0.7.2
-sqlalchemy-migrate==0.7.1
-wsgipreload==1.2
-pyzmq==2.1.7
-html2text==3.200.3dev-20121112
-PyMollom==0.1
-TracWikiImporter==0.4.1
-MediawikiImporter==0.1.1
-Unidecode==0.04.14
-
-# use version built from https://github.com/johnsca/GitPython/tree/sf-master
-# for unmerged fixes for [#5411], [#6000], [#6078], and [#7021]
-GitPython==0.3.2.RC1-20140304
-
-WebError==0.10.3-20130423
-
-# for the migration scripts only
-postmarkup==1.2.0dev-20121116
-# suds needed for teamforge import script
-suds==0.4
-mediawiki==0.0.1
-
-# development
-blessings==1.3
-nose-progressive==1.5
-pyprof2calltree==1.1.0
-repoze.profile==1.3
-
-# Include our common requirements
--r requirements-common.txt

http://git-wip-us.apache.org/repos/asf/allura/blob/068f66e0/requirements.txt
----------------------------------------------------------------------
diff --git a/requirements.txt b/requirements.txt
index 5fcf891..173a54c 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,7 +1,80 @@
-# requirements for local development, or other deployment instances
+pytz==2012j
+ActivityStream==0.2.0
+BeautifulSoup==3.2.0
+chardet==1.0.1
+colander==0.9.3
+# dep of pypeline
+Creoleparser==0.7.3
+decorator==3.3.2
+# dep of pypeline, sphinx
+docutils==0.9
+EasyWidgets==0.2dev-20130716
+faulthandler==2.1
+feedparser==5.1.3
+FormEncode==1.2.4
+# dep of Creoleparser
+Genshi==0.6
+# dep of oauth2
+httplib2==0.7.4
+iso8601==0.1.4
+Jinja2==2.6
+Markdown==2.2.0
+Ming==0.4.6
+oauth2==1.5.170
+# tg2 dep PasteDeploy must specified before TurboGears2, to avoid a version/allow-hosts problem
+Paste==1.7.5.1
+PasteDeploy==1.5.0
+PasteScript==1.7.4.2
+Pillow==2.0.0
+poster==0.8.1
+Pygments==1.6
+pymongo==2.4.2
+Pypeline==0.1dev
+pysolr==2.1.0-beta
+python-dateutil==1.5
+python-magic==0.4.3
+python-oembed==0.2.1
+requests==2.0.0
+oauthlib==0.4.2
+requests-oauthlib==0.4.0
+# for taskd proc name switching
+setproctitle==1.1.7
+# dep of pypeline
+textile==2.1.5
+# dep of colander
+translationstring==0.4
+TimerMiddleware==0.4.4
+TurboGears2==2.1.5
+WebOb==1.0.8
+# part of the stdlib, but with a version number.  see http://guide.python-distribute.org/pip.html#listing-installed-packages
+wsgiref==0.1.2
 
-# Include our common requirements
--r requirements-common.txt
+# tg2 deps (not used directly)
+Babel==0.9.6
+Beaker==1.5.4
+Mako==0.3.2
+MarkupSafe==0.15
+Pylons==1.0
+simplejson==2.2.1
+Tempita==0.5.1
+Routes==1.12.3
+WebFlash==0.1a9
+WebHelpers==1.3
 
+# git deps
 GitPython==0.3.2.RC1
+async==0.6.1
+gitdb==0.5.4
+smmap==0.8.1
+
+# testing & development
+datadiff==1.1.5
+ipython==1.2.1
+mock==1.0.1
+nose==1.3.0
+pyflakes==0.5.0
+WebTest==1.4.0
+clonedigger==1.1.0
+testfixtures==3.0.0
+q==2.3
 WebError==0.10.3


Mime
View raw message